org.glassfish.jersey.message

## Class MessageUtils

- java.lang.Object
- - org.glassfish.jersey.message.MessageUtils

    public final class MessageUtils
    extends Object

Utility class with message related methods.

Author:
  Adam Lindenthal

### Method Summary

All Methods Static Methods Concrete Methods
`static Charset` `getCharset(jakarta.ws.rs.core.MediaType media)` Get the character set from a media type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getCharset

    public static Charset getCharset(jakarta.ws.rs.core.MediaType media)

Get the character set from a media type.

The character set is obtained from the media type parameter "charset". If the parameter is not present the `UTF8` charset is utilized.

Parameters:
  `media` - the media type.
Returns:
  the character set.